IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
fcd0::/16- First address
fcd0::- Last address
fcd0:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
fcd0:0000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
0.d.c.f.ip6.arpa
Split into smaller subnets
fcd0::/16 makes 256 subnets of /24.
| # | Subnet | Last address |
|---|---|---|
| 1 | fcd0::/24 | fcd0:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fcd0:100::/24 | fcd0:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fcd0:200::/24 | fcd0:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fcd0:300::/24 | fcd0:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fcd0:400::/24 | fcd0:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fcd0:500::/24 | fcd0:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fcd0:600::/24 | fcd0:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fcd0:700::/24 | fcd0:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fcd0:800::/24 | fcd0:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fcd0:900::/24 | fcd0:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fcd0:a00::/24 | fcd0:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fcd0:b00::/24 | fcd0:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fcd0:c00::/24 | fcd0:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fcd0:d00::/24 | fcd0:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fcd0:e00::/24 | fcd0:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fcd0:f00::/24 | fcd0:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fcd0:1000::/24 | fcd0:10ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fcd0:1100::/24 | fcd0:11ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fcd0:1200::/24 | fcd0:12ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fcd0:1300::/24 | fcd0:13ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fcd0:1400::/24 | fcd0:14ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fcd0:1500::/24 | fcd0:15ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fcd0:1600::/24 | fcd0:16ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fcd0:1700::/24 | fcd0:17ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fcd0:1800::/24 | fcd0:18ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fcd0:1900::/24 | fcd0:19ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fcd0:1a00::/24 | fcd0:1aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fcd0:1b00::/24 | fcd0:1bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fcd0:1c00::/24 | fcd0:1cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fcd0:1d00::/24 | fcd0:1dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fcd0:1e00::/24 | fcd0:1eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fcd0:1f00::/24 | fcd0:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fcd0:2000::/24 | fcd0:20ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fcd0:2100::/24 | fcd0:21ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fcd0:2200::/24 | fcd0:22ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fcd0:2300::/24 | fcd0:23ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fcd0:2400::/24 | fcd0:24ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fcd0:2500::/24 | fcd0:25ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fcd0:2600::/24 | fcd0:26ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fcd0:2700::/24 | fcd0:27ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fcd0:2800::/24 | fcd0:28ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fcd0:2900::/24 | fcd0:29ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fcd0:2a00::/24 | fcd0:2aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fcd0:2b00::/24 | fcd0:2bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fcd0:2c00::/24 | fcd0:2cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fcd0:2d00::/24 | fcd0:2dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fcd0:2e00::/24 | fcd0:2eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fcd0:2f00::/24 | fcd0:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fcd0:3000::/24 | fcd0:30ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fcd0:3100::/24 | fcd0:31ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fcd0:3200::/24 | fcd0:32ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fcd0:3300::/24 | fcd0:33ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fcd0:3400::/24 | fcd0:34ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fcd0:3500::/24 | fcd0:35ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fcd0:3600::/24 | fcd0:36ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fcd0:3700::/24 | fcd0:37ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fcd0:3800::/24 | fcd0:38ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fcd0:3900::/24 | fcd0:39ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fcd0:3a00::/24 | fcd0:3aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fcd0:3b00::/24 | fcd0:3bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fcd0:3c00::/24 | fcd0:3cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fcd0:3d00::/24 | fcd0:3dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fcd0:3e00::/24 | fcd0:3eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fcd0:3f00::/24 | fcd0:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fcd0:4000::/24 | fcd0:40ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fcd0:4100::/24 | fcd0:41ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fcd0:4200::/24 | fcd0:42ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fcd0:4300::/24 | fcd0:43ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fcd0:4400::/24 | fcd0:44ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fcd0:4500::/24 | fcd0:45ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fcd0:4600::/24 | fcd0:46ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fcd0:4700::/24 | fcd0:47ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fcd0:4800::/24 | fcd0:48ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fcd0:4900::/24 | fcd0:49ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fcd0:4a00::/24 | fcd0:4aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fcd0:4b00::/24 | fcd0:4bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fcd0:4c00::/24 | fcd0:4cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fcd0:4d00::/24 | fcd0:4dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fcd0:4e00::/24 | fcd0:4eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fcd0:4f00::/24 | fcd0:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fcd0:5000::/24 | fcd0:50ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fcd0:5100::/24 | fcd0:51ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fcd0:5200::/24 | fcd0:52ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fcd0:5300::/24 | fcd0:53ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fcd0:5400::/24 | fcd0:54ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fcd0:5500::/24 | fcd0:55ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fcd0:5600::/24 | fcd0:56ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fcd0:5700::/24 | fcd0:57ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fcd0:5800::/24 | fcd0:58ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fcd0:5900::/24 | fcd0:59ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fcd0:5a00::/24 | fcd0:5aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fcd0:5b00::/24 | fcd0:5bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fcd0:5c00::/24 | fcd0:5cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fcd0:5d00::/24 | fcd0:5dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fcd0:5e00::/24 | fcd0:5eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fcd0:5f00::/24 | fcd0:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fcd0:6000::/24 | fcd0:60ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fcd0:6100::/24 | fcd0:61ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fcd0:6200::/24 | fcd0:62ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fcd0:6300::/24 | fcd0:63ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fcd0:6400::/24 | fcd0:64ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fcd0:6500::/24 | fcd0:65ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fcd0:6600::/24 | fcd0:66ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fcd0:6700::/24 | fcd0:67ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fcd0:6800::/24 | fcd0:68ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fcd0:6900::/24 | fcd0:69ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fcd0:6a00::/24 | fcd0:6aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fcd0:6b00::/24 | fcd0:6bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fcd0:6c00::/24 | fcd0:6cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fcd0:6d00::/24 | fcd0:6dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fcd0:6e00::/24 | fcd0:6eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fcd0:6f00::/24 | fcd0:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fcd0:7000::/24 | fcd0:70ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fcd0:7100::/24 | fcd0:71ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fcd0:7200::/24 | fcd0:72ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fcd0:7300::/24 | fcd0:73ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fcd0:7400::/24 | fcd0:74ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fcd0:7500::/24 | fcd0:75ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fcd0:7600::/24 | fcd0:76ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fcd0:7700::/24 | fcd0:77ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fcd0:7800::/24 | fcd0:78ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fcd0:7900::/24 | fcd0:79ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fcd0:7a00::/24 | fcd0:7aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fcd0:7b00::/24 | fcd0:7bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fcd0:7c00::/24 | fcd0:7cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fcd0:7d00::/24 | fcd0:7dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fcd0:7e00::/24 | fcd0:7eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fcd0:7f00::/24 | fcd0:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fcd0:8000::/24 | fcd0:80ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fcd0:8100::/24 | fcd0:81ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fcd0:8200::/24 | fcd0:82ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fcd0:8300::/24 | fcd0:83ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fcd0:8400::/24 | fcd0:84ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fcd0:8500::/24 | fcd0:85ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fcd0:8600::/24 | fcd0:86ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fcd0:8700::/24 | fcd0:87ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fcd0:8800::/24 | fcd0:88ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fcd0:8900::/24 | fcd0:89ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fcd0:8a00::/24 | fcd0:8aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fcd0:8b00::/24 | fcd0:8bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fcd0:8c00::/24 | fcd0:8cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fcd0:8d00::/24 | fcd0:8dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fcd0:8e00::/24 | fcd0:8eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fcd0:8f00::/24 | fcd0:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fcd0:9000::/24 | fcd0:90ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fcd0:9100::/24 | fcd0:91ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fcd0:9200::/24 | fcd0:92ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fcd0:9300::/24 | fcd0:93ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fcd0:9400::/24 | fcd0:94ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fcd0:9500::/24 | fcd0:95ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fcd0:9600::/24 | fcd0:96ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fcd0:9700::/24 | fcd0:97ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fcd0:9800::/24 | fcd0:98ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fcd0:9900::/24 | fcd0:99ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fcd0:9a00::/24 | fcd0:9aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fcd0:9b00::/24 | fcd0:9bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fcd0:9c00::/24 | fcd0:9cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fcd0:9d00::/24 | fcd0:9dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fcd0:9e00::/24 | fcd0:9eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fcd0:9f00::/24 | fcd0:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fcd0:a000::/24 | fcd0:a0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fcd0:a100::/24 | fcd0:a1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fcd0:a200::/24 | fcd0:a2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fcd0:a300::/24 | fcd0:a3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fcd0:a400::/24 | fcd0:a4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fcd0:a500::/24 | fcd0:a5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fcd0:a600::/24 | fcd0:a6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fcd0:a700::/24 | fcd0:a7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fcd0:a800::/24 | fcd0:a8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fcd0:a900::/24 | fcd0:a9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fcd0:aa00::/24 | fcd0:aaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fcd0:ab00::/24 | fcd0:abff:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fcd0:ac00::/24 | fcd0:acff:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fcd0:ad00::/24 | fcd0:adff:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fcd0:ae00::/24 | fcd0:aeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fcd0:af00::/24 | fcd0:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fcd0:b000::/24 | fcd0:b0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fcd0:b100::/24 | fcd0:b1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fcd0:b200::/24 | fcd0:b2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fcd0:b300::/24 | fcd0:b3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fcd0:b400::/24 | fcd0:b4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fcd0:b500::/24 | fcd0:b5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fcd0:b600::/24 | fcd0:b6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fcd0:b700::/24 | fcd0:b7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fcd0:b800::/24 | fcd0:b8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fcd0:b900::/24 | fcd0:b9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fcd0:ba00::/24 | fcd0:baff:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fcd0:bb00::/24 | fcd0:bbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fcd0:bc00::/24 | fcd0:bcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fcd0:bd00::/24 | fcd0:bdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fcd0:be00::/24 | fcd0:beff:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fcd0:bf00::/24 | fcd0:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fcd0:c000::/24 | fcd0:c0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fcd0:c100::/24 | fcd0:c1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fcd0:c200::/24 | fcd0:c2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fcd0:c300::/24 | fcd0:c3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fcd0:c400::/24 | fcd0:c4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fcd0:c500::/24 | fcd0:c5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fcd0:c600::/24 | fcd0:c6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fcd0:c700::/24 | fcd0:c7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fcd0:c800::/24 | fcd0:c8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fcd0:c900::/24 | fcd0:c9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fcd0:ca00::/24 | fcd0:caff:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fcd0:cb00::/24 | fcd0:cbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fcd0:cc00::/24 | fcd0:ccff:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fcd0:cd00::/24 | fcd0:cdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fcd0:ce00::/24 | fcd0:ceff:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fcd0:cf00::/24 | fcd0:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fcd0:d000::/24 | fcd0:d0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fcd0:d100::/24 | fcd0:d1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fcd0:d200::/24 | fcd0:d2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fcd0:d300::/24 | fcd0:d3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fcd0:d400::/24 | fcd0:d4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fcd0:d500::/24 | fcd0:d5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fcd0:d600::/24 | fcd0:d6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fcd0:d700::/24 | fcd0:d7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fcd0:d800::/24 | fcd0:d8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fcd0:d900::/24 | fcd0:d9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fcd0:da00::/24 | fcd0:daff:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fcd0:db00::/24 | fcd0:dbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fcd0:dc00::/24 | fcd0:dcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fcd0:dd00::/24 | fcd0:ddff:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fcd0:de00::/24 | fcd0:deff:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fcd0:df00::/24 | fcd0:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fcd0:e000::/24 | fcd0:e0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fcd0:e100::/24 | fcd0:e1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fcd0:e200::/24 | fcd0:e2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fcd0:e300::/24 | fcd0:e3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fcd0:e400::/24 | fcd0:e4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fcd0:e500::/24 | fcd0:e5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fcd0:e600::/24 | fcd0:e6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fcd0:e700::/24 | fcd0:e7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fcd0:e800::/24 | fcd0:e8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fcd0:e900::/24 | fcd0:e9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fcd0:ea00::/24 | fcd0:eaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fcd0:eb00::/24 | fcd0:ebff:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fcd0:ec00::/24 | fcd0:ecff:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fcd0:ed00::/24 | fcd0:edff:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fcd0:ee00::/24 | fcd0:eeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fcd0:ef00::/24 | fcd0:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fcd0:f000::/24 | fcd0:f0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fcd0:f100::/24 | fcd0:f1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fcd0:f200::/24 | fcd0:f2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fcd0:f300::/24 | fcd0:f3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fcd0:f400::/24 | fcd0:f4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fcd0:f500::/24 | fcd0:f5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fcd0:f600::/24 | fcd0:f6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fcd0:f700::/24 | fcd0:f7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fcd0:f800::/24 | fcd0:f8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fcd0:f900::/24 | fcd0:f9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fcd0:fa00::/24 | fcd0:faff:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fcd0:fb00::/24 | fcd0:fbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fcd0:fc00::/24 | fcd0:fcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fcd0:fd00::/24 | fcd0:fdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fcd0:fe00::/24 | fcd0:feff:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fcd0:ff00::/24 | fcd0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |